# vim: set ts=4 sw=4 et:

%define plugins ColoredNicks MSNGameTTT Notes Nudge SearchContact WebcamShooter inkdraw music winks DBusStateChanger DualDisplayPicture FPSstats Invisibility Kryptonite LilyPondIM Restore SendRecents SkinColor SpellCheck TeXIM Translate actionsmenu address_book advancedconfigviewer amsnplus bugbuddy camserv chameleon changeit colorize dbusviewer desktop_integration devel emotes games glogs gnotify growl jake keepalive movewin notify openwith organize_received pop3 sayit transparent userstatus whatis countdown emoticons_importer gename ebuddykiller

%define plugins_provides %(for p in %{plugins}; do echo -n "%{name}-plugin-${p}=%{version}-%{release} "; done)

Name:           amsn
Version:        0.98.4
Release:        12.7
License:        GNU General Public License version 2 or later (GPL v2 or later)
Group:          Productivity/Networking/Other
Summary:        MSN Messenger clone for Linux
URL:            http://www.amsn-project.net/
Source0:        http://prdownloads.sourceforge.net/amsn/amsn-%{version}-src.tar.bz2
Source2:        http://prdownloads.sourceforge.net/tkdnd/tkdnd2.0.tar.gz
Source3:        %{name}-rpmlintrc
Source23:       http://prdownloads.sourceforge.net/amsn/Bolos.zip
Source24:       http://prdownloads.sourceforge.net/amsn/Fluox.zip
Source25:       http://prdownloads.sourceforge.net/amsn/MSN.zip
Source26:       http://prdownloads.sourceforge.net/amsn/Tux-0.95.zip
Source27:       http://prdownloads.sourceforge.net/amsn/Grey-MSN.zip
Source28:       http://prdownloads.sourceforge.net/amsn/aMac.zip
Source29:       http://prdownloads.sourceforge.net/amsn/crystola.zip
Source30:       http://prdownloads.sourceforge.net/amsn/cubic.zip
Source31:       http://prdownloads.sourceforge.net/amsn/aDarwinV.4-0.95.zip
Source32:       http://prdownloads.sourceforge.net/amsn/amsn-for-mac-0.95.zip
Source33:       http://prdownloads.sourceforge.net/amsn/AQUA-0.95.zip
Source34:       http://prdownloads.sourceforge.net/amsn/BrushedMetal-0.95.zip
Source35:       http://prdownloads.sourceforge.net/amsn/snowgrey-0.95.zip
Source36:       http://prdownloads.sourceforge.net/amsn/Ubuntu-Human-0.95.zip
Source37:       http://prdownloads.sourceforge.net/amsn/Unified-0.95.zip
Source38:       http://prdownloads.sourceforge.net/amsn/Clearlooks-0.95.zip
Patch0:		fix-capture.c.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       tls snack
BuildRequires:  glibc-devel make autoconf automake libtool gcc gcc-c++ pkgconfig
BuildRequires:  libjpeg-devel libpng-devel xorg-x11-devel fdupes unzip
BuildRequires:  tcl tk tcl-devel tk-devel update-desktop-files
BuildRequires:  libnice-devel >= 0.0.4
%if %suse_version >= 1030
BuildRequires:  libv4l-devel
%endif
%if %suse_version >= 1100
BuildRequires:  gstreamer-0_10-devel liboil-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
Requires:       gstreamer-0_10-plugins-bad
%endif
%if %suse_version >= 1130
BuildRequires:  libgupnp-igd-devel
%endif
# http://prdownloads.sourceforge.net/amsn/amsn-%{version}-src.tar.gz
Requires:       /usr/bin/aplay
Requires:       /usr/bin/xdg-open
Provides:       /usr/bin/amsn
Provides:       %plugins_provides
Obsoletes:      amsnSVN < %{version}
Provides:       amsnSVN = %{version}-%{release}

%description
This is Tcl/Tk clone that implements the Microsoft Messenger (MSN) for
Unix,Windows, or Macintosh platforms. It supports file transfers,
groups, and many more features. Visit http://amsn-project.net/ for
details. This is an ongoing project, and it is already going pretty
well.


%prep
%setup -q -n "amsn-%{version}"
%patch0 -p0

%__sed -i 's|mozilla |xdg-open |g;s|esdplay|aplay|g' lang/lang*

%__rm plugins/amsnplus/snapshot

%__sed -i 's/\r$//' \
    plugins/jake/plugininfo.xml \
    plugins/SpellCheck/lang/langlt

%build
%configure --disable-farsight
%__make %{?_smp_flags} V=1

%install
%makeinstall
%__rm -rf "%{buildroot}%{_datadir}/amsn/plugins/music"/MusicWin*
%__rm "%{buildroot}%{_datadir}/amsn/amsn.desktop"

pushd "%{buildroot}%{_datadir}/amsn/utils/"
%__tar xvfz "%{SOURCE2}"
%__mv tkdnd2.0 tkdnd
%__chmod 755 tkdnd
%__rm -f tkdnd/*.dll
popd #%{buildroot}%{_datadir}/amsn/utils/

# install additional skins
pushd "%{buildroot}%{_datadir}/amsn/skins/"
%__unzip -o "%{SOURCE23}"
%__unzip -o "%{SOURCE24}"
%__unzip -o "%{SOURCE25}"
%__unzip -o "%{SOURCE26}"
%__unzip -o "%{SOURCE27}"
%__unzip -o "%{SOURCE28}"
%__unzip -o "%{SOURCE29}"
%__unzip -o "%{SOURCE30}"
%__unzip -o "%{SOURCE31}"
%__unzip -o "%{SOURCE32}"
%__unzip -o "%{SOURCE33}"
%__unzip -o "%{SOURCE34}"
%__unzip -o "%{SOURCE35}"
%__unzip -o "%{SOURCE36}"
%__unzip -o "%{SOURCE37}"
%__unzip -o "%{SOURCE38}"

%__rm -rf snowgrey/winicons
%__mv "Ubuntu (Human)" "Ubuntu_(Human)"
%__mv "aDarwin V.4" "aDarwin_V.4"
%__mv "Dark Matter 4.0" Dark_Matter_4.0
popd #%{buildroot}%{_datadir}/amsn/skins/

pushd "%{buildroot}%{_datadir}/amsn/plugins"
find . -iname 'makefile*' -exec %__rm {} \;
%__rm amsnplus/*.c
popd #plugins

%__rm -rf "%{buildroot}%{_datadir}/amsn/plugins/remind/"

dlls=$(find "%{buildroot}%{_datadir}/amsn" -name '*.dll')
[ -n "$dlls" ] && { echo "Found dll files: $dlls" >&2; exit 1; }

ars=$(find "%{buildroot}%{_datadir}/amsn" -name '*.a')
[ -n "$ars" ] && { echo "Found ar files: $ars" >&2; exit 1; }

%__sed -i 's/\r//g' \
"%{buildroot}%{_datadir}/amsn/utils/BWidget-1.9.0/LICENSE.txt" \
"%{buildroot}%{_datadir}/amsn/plugins/winks/README.txt"

find "%{buildroot}%{_datadir}/amsn" -name .xvpics -o -name .DS_Store \
| while read d; do %__rm -rf "$d"; done

%__rm \
    "%{buildroot}%{_datadir}/amsn/utils/voipcontrols/test.tcl" \
    "%{buildroot}%{_datadir}/amsn/skins"/*/pixmapscroll/test.tcl

# fix perms on skins
pushd "%{buildroot}%{_datadir}/amsn/skins"
find . -type d | while read d; do %__chmod 0755 "$d"; done
find . -type f | while read f; do %__chmod 0644 "$f"; done
popd #%{buildroot}%{_datadir}/amsn/skins

%suse_update_desktop_file -r amsn Network InstantMessaging

%fdupes -s "%{buildroot}%{_datadir}/amsn/skins"
%fdupes -s "%{buildroot}%{_datadir}/amsn/utils"

LANGLST="$PWD/lang.lst"
echo -n >"$LANGLST"
pushd "%{buildroot}%{_datadir}/amsn"
find . -type d -name lang | while read d; do
    d="${d#./}"
    echo "%dir %{_datadir}/amsn/${d}" >>"$LANGLST"
    pushd "$d"
    for f in lang*; do
        [ "$f" = "lang*" ] && continue
        l="${f#lang}"
        l="${l//-/_}"
        echo "%lang(${l}) %{_datadir}/amsn/${d}/${f}" >>"$LANGLST"
    done
    for f in *.rc; do
        [ "$f" = "*.rc" ] && continue
        l="${f%.rc}"
        l="${l//-/_}"
        echo "%lang(${l}) %{_datadir}/amsn/${d}/${f}" >>"$LANGLST"
    done
    popd #$d
done
popd #lang

PLUGINLST="$PWD/plugins.lst"
echo -n >"$PLUGINLST"
for p in %{plugins}; do
    pushd "%{buildroot}%{_datadir}/amsn/plugins"
        find "$p" | grep -v /lang/ | while read l; do
            echo "%{_datadir}/amsn/plugins/${l}" >>"$PLUGINLST"
        done
    popd
done

cat lang.lst plugins.lst > files.lst

%clean
%__rm -rf "%{buildroot}"

%files -f files.lst
%defattr(-,root,root)
%{_bindir}/amsn
%{_bindir}/amsn-remote
%{_bindir}/amsn-remote-CLI
%dir %{_datadir}/amsn/
%doc %{_datadir}/amsn/[A-Z][A-Z][A-Z]*
%doc %{_datadir}/amsn/docs
%doc %{_datadir}/amsn/lang/LANG-HOWTO
%{_datadir}/amsn/lang/convert.tcl
%{_datadir}/amsn/lang/missing.py
%{_datadir}/amsn/lang/sortlang
%{_datadir}/amsn/langlist
%{_datadir}/amsn/BWidget_mods.tcl
%{_datadir}/amsn/abook.tcl
%{_datadir}/amsn/addressbook.tcl
%{_datadir}/amsn/alarm.tcl
%{_datadir}/amsn/amsn
%{_datadir}/amsn/amsn-remote
%{_datadir}/amsn/amsn-remote-CLI
%{_datadir}/amsn/amsncore.tcl
%{_datadir}/amsn/assistant.tcl
%{_datadir}/amsn/audio.tcl
%{_datadir}/amsn/auth.tcl
%{_datadir}/amsn/automsg.tcl
%{_datadir}/amsn/autoupdate.tcl
%{_datadir}/amsn/balloon.tcl
%{_datadir}/amsn/bugs.tcl
%{_datadir}/amsn/chatwindow.tcl
%{_datadir}/amsn/config.tcl
%{_datadir}/amsn/console.tcl
%{_datadir}/amsn/contactlist.tcl
%{_datadir}/amsn/ctthemes.tcl
%{_datadir}/amsn/debug.tcl
%{_datadir}/amsn/dock.tcl
%{_datadir}/amsn/groups.tcl                  
%{_datadir}/amsn/gui.tcl                     
%{_datadir}/amsn/guicontactlist.tcl          
%{_datadir}/amsn/hotmail.tcl                 
%{_datadir}/amsn/hotmlog.htm                 
%{_datadir}/amsn/lang.tcl                    
%{_datadir}/amsn/login_screen.tcl
%{_datadir}/amsn/loging.tcl
%{_datadir}/amsn/migmd5.tcl
%{_datadir}/amsn/msncam.tcl
%{_datadir}/amsn/msngames.tcl
%{_datadir}/amsn/msnp2p.tcl
%{_datadir}/amsn/mutex.tcl
%{_datadir}/amsn/pgu.tcl
%{_datadir}/amsn/picture.tcl
%{_datadir}/amsn/plugins.tcl
%{_datadir}/amsn/pluginslog.tcl
%{_datadir}/amsn/preferences.tcl
%{_datadir}/amsn/progressbar.tcl
%{_datadir}/amsn/protocol.tcl
%{_datadir}/amsn/proxy.tcl
%doc %{_datadir}/amsn/remote.help
%{_datadir}/amsn/remote.tcl
%{_datadir}/amsn/roaming.tcl
%{_datadir}/amsn/searchdialog.tcl
%{_datadir}/amsn/sip.tcl
%{_datadir}/amsn/skins.tcl
%{_datadir}/amsn/smileys.tcl
%{_datadir}/amsn/soap.tcl
%{_datadir}/amsn/socks.tcl
%{_datadir}/amsn/spaces.tcl
%{_datadir}/amsn/sxml.tcl
%{_datadir}/amsn/trayicon.tcl
%dir %{_datadir}/amsn/utils/
%dir %{_datadir}/amsn/utils/BWidget-1.9.0
%{_datadir}/amsn/utils/BWidget-1.9.0/*.tcl
%doc %{_datadir}/amsn/utils/BWidget-1.9.0/*.txt
%{_datadir}/amsn/utils/BWidget-1.9.0/images
%{_datadir}/amsn/utils/TkCximage
%{_datadir}/amsn/utils/asyncresolver
%{_datadir}/amsn/utils/base64
%{_datadir}/amsn/utils/combobox
%{_datadir}/amsn/utils/contentmanager
%{_datadir}/amsn/utils/des
%{_datadir}/amsn/utils/dpbrowser
%{_datadir}/amsn/utils/drawboard
%{_datadir}/amsn/utils/framec
%if %suse_version >= 1120
%{_datadir}/amsn/utils/gupnp
%endif
%{_datadir}/amsn/utils/http
%dir %{_datadir}/amsn/utils/linux
%{_datadir}/amsn/utils/linux/capture
%{_datadir}/amsn/utils/linux/linflash
%{_datadir}/amsn/utils/linux/traydock
%{_datadir}/amsn/utils/log
%{_datadir}/amsn/utils/md4
%{_datadir}/amsn/utils/pixmapmenu
%{_datadir}/amsn/utils/pixmapscroll
%{_datadir}/amsn/utils/sasl
%{_datadir}/amsn/utils/scalable-bg
%{_datadir}/amsn/utils/sexytile
%{_datadir}/amsn/utils/sha1
%{_datadir}/amsn/utils/snit
%{_datadir}/amsn/utils/tclISF
%{_datadir}/amsn/utils/tcl_siren
%{_datadir}/amsn/utils/tkdnd
%{_datadir}/amsn/utils/uri
%{_datadir}/amsn/utils/voipcontrols
%{_datadir}/amsn/utils/webcamsn
%{_datadir}/amsn/desktop-icons
%dir %{_datadir}/amsn/skins/
%{_datadir}/amsn/skins/default
%{_datadir}/amsn/skins/Dark_Matter_4.0
%{_datadir}/amsn/skins/Oxygen
%{_datadir}/amsn/skins/AQUA
%{_datadir}/amsn/skins/Bolos
%{_datadir}/amsn/skins/BrushedMetal
%{_datadir}/amsn/skins/Clearlooks
%{_datadir}/amsn/skins/Fluox
%{_datadir}/amsn/skins/Grey-MSN
%{_datadir}/amsn/skins/MSN
%{_datadir}/amsn/skins/Tux
%{_datadir}/amsn/skins/Ubuntu_(Human)
%{_datadir}/amsn/skins/Unified
%{_datadir}/amsn/skins/aDarwin_V.4
%{_datadir}/amsn/skins/aMac
%{_datadir}/amsn/skins/amsn-for-mac
%{_datadir}/amsn/skins/crystola
%{_datadir}/amsn/skins/cubic
%{_datadir}/amsn/skins/snowgrey
%dir %{_datadir}/amsn/plugins/
%{_datadir}/pixmaps/amsn.png
%{_datadir}/applications/amsn.desktop
%{_datadir}/amsn/ca-certs

%changelog
* Fri Nov 11 2011 florian.leparoux@gmail.com
- remove farsight dependency, only use for audio/video call,
  but broken with default settings
* Tue Nov  8 2011 florian.leparoux@gmail.com
- fix path videdev.h in capture.c
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- update to 0.98.4
* Sun Oct 25 2009 andrea@links2linux.de
- new upstream version 0.98.1
